Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

I need additional field: inspector

role in project who check resolving of task.

so at current moment i can get same functional via creating new task in separate tracker "called" inspection with name "check

resolving of task #xxx" but this way is not so elegant...

Related issues:

Is duplicate of Redmine - Feature #2096: Custom fields referencing system tab... Closed 2008-10-27

History

#1 - 2010-06-14 17:10 - Felix Schäfer

I'm not sure I understand what your problem is, but if you want to have a workflow where your developers correct a bug or implement a feature, but

that it needs to be verified by an inspector first before it's committed, that's a job for the workflow. You can change the workflow so that developers

can only put an issue up to the state "to be verified" from which only an inspector can take it to "closed".

#2 - 2010-06-14 17:23 - Maxim Nikolaevich

Yes, i do this way but... who are inspector?

I asked for "inspector" field to allow users with inspector role have acces to task which he should inspect via filter.

Yes it's possible to solve this via changing assign role. But this way also not so elegant cause information about how many tasks resolved will be

missed in this way.

I hope now it's clear.

#3 - 2010-06-14 17:31 - Felix Schäfer

So you're asking for the wrong thing. What need isn't a custom field, I think that would be the wrong approach, what you want is way to filter issues

with regard to a certain transition, so something like "show me all issues set to status "to be verified" by Maxim", right?

#4 - 2010-06-14 17:41 - Maxim Nikolaevich

Yes, you are right. Are there other way to do this except custom field?

#5 - 2010-11-12 11:04 - Nils Linde

I totally agree. There should be a custom field type "User" and "Group", so it could be used to add fields to issues.

Usage examples:

"Feature user" if problem is for antoher user, but new issue is added by another user

"Group manager" if groups are used to define departments in company (not speaking about possibility to set a parent/child group id/name, to make

group hierarchy), it is good, to be able to define different roles for groups

"Assigned group" to assign a specific group to issue, for example, Technical department. If group is added to issue, the group manager is noticed (if

"Group manager" function is avilable)

I can think tons of more usages for this stuff and that should not be hard to implement, as there already is field "Assigned user", that is for issues.

#6 - 2010-12-02 05:50 - Maxim Nikolaevich

- Status changed from New to Resolved

This issue dup #2096

#7 - 2011-02-16 12:11 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Duplicate
https://www.redmine.org/issues/2096


Closed as duplicate of #2096.
